Subject: Re: [NetDev-info] Distributed Switch Architecture for 88E6390

From: Andrew Lunn <[email-masked]>
Date: Mon, 5 Feb 2018 23:48:09 +0100

> Hi Andrew,
> 
> > For port 0x6 reg 0x4, confirmed.  It looks like the latest code is
> > correctly setting bits 13:12.  I'm porting from an older hash.

Hi Dave

6390 support is quite new. So you really should be use the latest
code. Otherwise you are going to have issues like this. Plus you are
going to want the fixes for the issues you just pointed out yourself.

> > Thanks for the suggestion regarding the MTU size.  I will look
> > into it in detail and follow up.  The driver for the ethernet
> > device I'm using is compatible with the nvidia,eqos device (which
> > is basically saying it is the built-in MAC & PHY on the Tegra 186
> > ).

I'm not aware of anybody using a tegra with DSA. So there could be
frame size issues.

      Andrew